VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "ADC16 Visual Basic Example"
   ClientHeight    =   2385
   ClientLeft      =   1845
   ClientTop       =   2055
   ClientWidth     =   5775
   Height          =   2790
   Left            =   1785
   LinkTopic       =   "Form1"
   ScaleHeight     =   2385
   ScaleWidth      =   5775
   Top             =   1710
   Width           =   5895
   Begin VB.ListBox List1 
      Height          =   1815
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   3015
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   3360
      Top             =   1560
   End
   Begin VB.CommandButton Close 
      Caption         =   "Close"
      Height          =   615
      Left            =   3840
      TabIndex        =   1
      Top             =   1320
      Width           =   1575
   End
   Begin VB.CommandButton Open 
      Caption         =   "Open"
      Height          =   615
      Left            =   3840
      TabIndex        =   0
      Top             =   360
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim Value As Long
Const port = 2
Dim Opened As Boolean


'
'
Private Sub Close_Click()
  If Opened Then
    Call adc16_close_unit(port)
    Opened = False
    List1.AddItem ("Adc16 closed")
  End If
End Sub


Private Sub Form_Unload(Cancel As Integer)
adc16_close_unit (port)
End Sub



Private Sub Open_Click()
  List1.Clear
  List1.AddItem ("Opening...")
  
  ok% = adc16_open_unit(port)
  If ok% > 0 Then
    List1.AddItem ("Opened")
    Opened = True
    For ch = 1 To 8
      ' 16 bit resolution, single ended, filter factor= 10
      ok% = adc16_set_channel(port, ch, 16, 1, 10)
    Next ch
  Else
    Opened = False
    List1.AddItem ("Can't open unit")
  End If

End Sub


Private Sub Timer1_Timer()
Dim Value As Long
If Opened Then
  List1.Clear
  For ch = 1 To 8
    ok% = adc16_get_value(Value, port, ch)
    If ok% > 0 Then
      List1.AddItem ("Ch" & ch & " " & (Value * 2500) / 65535 & " mV")
    Else
      List1.AddItem ("Ch" & ch & " ****")
    End If
  Next ch
  
End If
End Sub


